## eyed3 0.6.1

=== src/ui/Makefile ===
#
#  Copyright (C) 2004  Travis Shirk <travis@pobox.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
.PHONY: all clean dist-clean maintainer-clean

all: TagWidgetBase.py

TagWidgetBase.py: TagWidgetBase.ui
	pyuic -o TagWidgetBase.py -p 4 TagWidgetBase.ui

clean:
	-rm -rf TagWidgetBase.py *.ui~ *.ui.h *.pyc

dist-clean: clean

maintainer-clean: dist-clean

## eyed3 0.6.16

=== debian/changelog ===
eyed3 (0.6.16) unstable; urgency=low

  * New upstream release
    - Lines of 80 dashes should be 79 (Closes: #474656)

 -- Alexander Wirt <formorer@debian.org>  Tue, 10 Jun 2008 14:19:01 +0200

eyed3 (0.6.14-1) unstable; urgency=low

  * New upstream release (Closes: #430664)

 -- Alexander Wirt <formorer@debian.org>  Tue, 26 Jun 2007 15:11:50 +0200

eyed3 (0.6.13-1) unstable; urgency=low

  * New upstream version

 -- Alexander Wirt <formorer@debian.org>  Tue, 01 May 2007 13:07:40 +0200

eyed3 (0.6.12-1) unstable; urgency=low

  * New upstream version

 -- Alexander Wirt <formorer@debian.org>  Mon, 19 Feb 2007 09:14:50 +0100

eyed3 (0.6.11-1) unstable; urgency=low

  * New upstream version  

 -- Alexander Wirt <formorer@debian.org>  Sat, 18 Nov 2006 01:47:38 +0100

eyed3 (0.6.10-3) unstable; urgency=low

  * Use python-support properly (Closes: #392487) 

 -- Alexander Wirt <formorer@debian.org>  Thu, 12 Oct 2006 08:58:38 +0200

eyed3 (0.6.10-2) unstable; urgency=low

  * Added stronger dependency for eyed3 on python-eyed3 (Closes: #359996) 
  * Updated to the usage of python-support (Closes: #373425)

 -- Alexander Wirt <formorer@debian.org>  Tue,  4 Apr 2006 06:58:20 +0200

eyed3 (0.6.10-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Mon, 20 Mar 2006 06:17:12 +0100

eyed3 (0.6.9-2) unstable; urgency=low

  * Set architecture too all (Closes: #357177) 

 -- Alexander Wirt <formorer@debian.org>  Thu, 16 Mar 2006 09:10:30 +0100

eyed3 (0.6.9-1) unstable; urgency=low

  * New upstream release (Closes: #352463)
  * Fixed descriptions (Closes: #320263)

 -- Alexander Wirt <formorer@debian.org>  Sun, 12 Feb 2006 15:20:20 +0100

eyed3 (0.6.8-1) unstable; urgency=low

  * New upstream release (Closes: #327897)
  * Fix description (Closes: #313337)
  * Remove spelling fixes for News and Changelog, it really 
    annoying to adapt that everytime.

 -- Alexander Wirt <formorer@debian.org>  Mon, 12 Sep 2005 22:22:56 +0200

eyed3 (0.6.6-1) unstable; urgency=low

  * New upstream release
  * Provide Python 2.3 and 2.4 packages, python-eyed3 is now a
    dummy package. (Closes: #310267)
  * Fixes --track-genre to --genre in manpage (Closes: #307688) 

 -- Alexander Wirt <formorer@debian.org>  Sun, 29 May 2005 13:13:12 +0200

eyed3 (0.6.5-1) unstable; urgency=low

  * New upstream release (Closes: #308083)
  * Introduces read support for ID3v2.2 (Closes: #308185)
  * Fixed some typos. Thank to Martin Michelmayr for the patch
    (Closes: #307565)

 -- Alexander Wirt <formorer@debian.org>  Sun,  8 May 2005 20:36:52 +0200

eyed3 (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Fixes spelling in control file (Closes: #299971)
  * Fixes 0byte problem in date field (Closes: #299948)
    Thanks to Aaron Crane for the patch
  * Fixes problem when deleting date frame (Closes: #300529)
    Thanks again to Aaron Crane for the patch 
    
 -- Alexander Wirt <formorer@debian.org>  Wed,  9 Feb 2005 22:40:16 +0100

eyed3 (0.6.3-1) unstable; urgency=low

  * New upstream release (closes: #285147)
    - ID3 V1 Tags are now updatet if the year is empty (closes: #270964)

 -- Alexander Wirt <formorer@debian.org>  Sun, 12 Dec 2004 10:39:24 +0100

eyed3 (0.6.2-1) unstable; urgency=low

  * New upstram release (closes: #276207)
  * Removed manpage (now handled by upstream)
  * Removed optik fix 

 -- Alexander Wirt <formorer@debian.org>  Fri, 15 Oct 2004 23:44:05 +0200

eyed3 (0.6.1-1) unstable; urgency=low

  * New upstram release (closes: #255160)
  * Improved manpage
  * Added watch file

 -- Alexander Wirt <formorer@debian.org>  Sun, 20 Jun 2004 11:31:26 +0200

eyed3 (0.5.1-1) unstable; urgency=low

  * Initial Release (closes: #220888)

 -- Alexander Wirt <formorer@debian.org>  Sun,  4 Jan 2004 22:50:44 +0100

=== debian/control ===
Source: eyed3
Section: sound
Priority: optional
Maintainer: Alexander Wirt <formorer@debian.org>
Build-Depends: debhelper (>= 5.0.37.1), dpatch
Build-Depends-Indep: python-support (>= 0.3), python
Homepage: http://eyed3.nicfit.net/
Standards-Version: 3.8.0
XS-Python-Version: all

Package: python-eyed3
Architecture: all
Section: python
Depends: ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Replaces: python2.3-eyed3, python2.4-eyed3
Conflicts: python2.3-eyed3, python2.4-eyed3
Description: Python module for id3-tags manipulation
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.

Package: eyed3
Architecture: all
Depends: python-eyed3 (= ${source:Version}), ${python:Depends}
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several informations about the file 
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#includes targets for dpatch
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	python setup.py config


build: build-stamp

build-stamp:  patch-stamp config.status
	dh_testdir

	python setup.py build
	
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) dist-clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	find -name '*.pyc' -exec rm {} \;
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	python setup.py install --root=$(CURDIR)/debian/python-eyed3 
	#--install-lib usr/share/python-support/python-eyed3 

	#$(MAKE) install prefix=$(CURDIR)/debian/eyed3/usr


# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs THANKS
	dh_installexamples
	dh_install
	dh_installman -peyed3 doc/eyeD3.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## eyed3 0.6.18

=== debian/changelog ===
eyed3 (0.6.18-3) unstable; urgency=medium

  * QA upload.
  * Added CVE-2014-1934.patch to avoid insecure use of /tmp/ (Closes:
    #737062).
  * Added reproducible-build.patch from Chris Lamb to make build
    reproducible (Closes: #834983).
  * Updated to debhelper 9.
  * Updated Standards-Version from 3.9.2 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 Sep 2016 14:26:05 +0000

eyed3 (0.6.18-2) unstable; urgency=medium

  * QA upload.
  * Update maintainer to QA.
  * Remove unused dpatch build dependency.
  * Set source format to 3.0 (quilt), but ship no patches for now.
  * Explicitly depend on dh-python for dh --with python2.
  * Drop long unneeded Replaces: python2.{3,4}-eyed3

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 17 Jul 2016 19:07:59 +0000

eyed3 (0.6.18-1) unstable; urgency=low

  * [f253d6f] Imported Upstream version 0.6.18
    - Fix jep output (Closes: #527639)
  * [8c97a4a] Remove 01_handle_empty_BPM_tag (now upstream)
  * [c94349c] Move section to python

 -- Alexander Wirt <formorer@debian.org>  Fri, 29 Jun 2012 23:45:00 +0200

eyed3 (0.6.17-3) unstable; urgency=low

  * [0f7fbec] Fix override disparity
  * [86227a7] Readd modern dpatch support
  * [553d3f2] don't crash on empty bpm tags.
    Thanks to Dave Holland for the patch (Closes: #646161)

 -- Alexander Wirt <formorer@debian.org>  Fri, 21 Oct 2011 22:55:15 +0200

eyed3 (0.6.17-2) unstable; urgency=low

  * [67b9697] Convert packgaging to dh_python2.
    Thanks to Dan Chen for the patch (Closes: #638266)
  * [1a0efb4] Bump standards version (no changes)
  * [41eece1] Bump dh compat to 8
  * [240e3a1] Remove dpatch dependency
  * [6d7ba30] Remove obsolete patches/ directory

 -- Alexander Wirt <formorer@debian.org>  Sat, 27 Aug 2011 08:17:06 +0200

eyed3 (0.6.17-1) unstable; urgency=low

  * New upstream version
    - Return errorcodes on exception (Closes: #488032)
    - List genre 74 (Closes: #501877)
    - Using -G with a genrenumber is now possible (Closes: #509946)
  * Make the package non-native again...

 -- Alexander Wirt <formorer@debian.org>  Thu, 05 Feb 2009 20:27:42 +0100

=== debian/control ===
Source: eyed3
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python
Build-Depends-Indep: python (>= 2.6.6-3~)
Homepage: http://eyed3.nicfit.net/
Standards-Version: 3.9.8
X-Python-Version: >=2.6

Package: python-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.

Package: eyed3
Architecture: all
Section: sound
Depends: python-eyed3 (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_clean:
	-rm config.log
	-rm config.guess
	-rm config.sub
	-rm config.status
	-rm doc/eyeD3.1
	-rm etc/eyeD3.spec
	-rm Makefile
	-rm setup.py
	-rm src/eyeD3/__init__.py
	dh_clean

override_dh_install:
	dh_install
	python setup.py install --root=$(CURDIR)/debian/python-eyed3 --install-layout=deb

## eyed3 0.6.18-1maemo1

=== debian/changelog ===
eyed3 (0.6.18-1maemo1) unstable; urgency=low

  * First maemo build
 
 -- Xes <xes.maemo@gmail.com>  Thu, 15 Maj 2014 07:15:00 +0100

=== debian/control ===
Source: eyed3
Section: python
Priority: optional
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper (>= 7), python-support
Build-Depends-Indep: python 
Homepage: http://eyed3.nicfit.net/
Standards-Version: 3.9.2
X-Python-Version: >=2.6

Package: python-eyed3
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Replaces: python2.3-eyed3, python2.4-eyed3
Conflicts: python2.3-eyed3, python2.4-eyed3
Description: Python module for id3-tags manipulation
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.

Package: eyed3
Architecture: all
Section: sound
Depends: python-eyed3 (= ${source:Version}), ${python:Depends},
 ${misc:Depends}
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file 
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#includes targets for dpatch
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	python setup.py config


build: build-stamp

build-stamp:  patch-stamp config.status
	dh_testdir

	python setup.py build
	
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) dist-clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	find -name '*.pyc' -exec rm {} \;
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	python setup.py install --root=$(CURDIR)/debian/python-eyed3 
	#--install-lib usr/share/python-support/python-eyed3 

	#$(MAKE) install prefix=$(CURDIR)/debian/eyed3/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman -peyed3 doc/eyeD3.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## eyed3 0.6.18-1maemo2

=== debian/changelog ===
eyed3 (0.6.18-1maemo2) unstable; urgency=low

  * Fix architecture build and requirements
 
 -- Xes <xes.maemo@gmail.com>  Thu, 15 Maj 2014 07:15:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Xes <xes.maemo@gmail.com>
-Build-Depends: debhelper (>= 7), python-support
+Build-Depends: debhelper, python-support
 Build-Depends-Indep: python 
 Homepage: http://eyed3.nicfit.net/
 Standards-Version: 3.9.2
 X-Python-Version: >=2.6
 
 Package: python-eyed3
-Architecture: all
+Architecture: any
 Section: python
 Depends: ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
@@ -21,7 +21,7 @@
  information such as length and bit rate from an MP3 file.
 
 Package: eyed3
-Architecture: all
+Architecture: any
 Section: sound
 Depends: python-eyed3 (= ${source:Version}), ${python:Depends},
  ${misc:Depends}

## eyed3 0.6.18-1maemo4

=== debian/changelog ===
eyed3 (0.6.18-1maemo4) unstable; urgency=low

  * Fixed packaging and reuirements. Switched to python2.5

 -- Xes <xes.maemo@gmail.com>  Fri, 30 Maj 2014 07:15:02 +0200

eyed3 (0.6.18-1maemo3) unstable; urgency=low

  * Fixed packaging
 
 -- Xes <xes.maemo@gmail.com>  Fri, 30 Maj 2014 07:15:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xes <xes.maemo@gmail.com>
 Build-Depends: debhelper, python-support
-Build-Depends-Indep: python 
+Build-Depends-Indep: python2.5
 Homepage: http://eyed3.nicfit.net/
 Standards-Version: 3.9.2
 X-Python-Version: >=2.6

=== debian/rules ===
--- 
+++ 
@@ -63,8 +63,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	python setup.py install --root=$(CURDIR)/debian/python-eyed3 
-	#--install-lib usr/share/python-support/python-eyed3 
+	python2.5 setup.py install --root=$(CURDIR)/debian/python-eyed3 --install-layout=deb
+	# --install-lib /usr/share/python-support/python-eyed3
 
 	#$(MAKE) install prefix=$(CURDIR)/debian/eyed3/usr

## eyed3 0.7.9

=== debian/changelog ===
eyed3 (0.7.9-0) stable; urgency=medium

  * New upstream release, build for OBS.
  * Add python-setuptools as build-depend to avoid FTBFS.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 04 Sep 2016 13:33:51 -0700

=== debian/control ===
Source: eyed3
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8),
               dh-python,
               python-setuptools
Build-Depends-Indep: python (>= 2.6.6-3~)
Homepage: http://eyed3.nicfit.net/
Standards-Version: 3.9.2
X-Python-Version: >=2.6

Package: python-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.

Package: eyed3
Architecture: all
Section: sound
Depends: python-eyed3 (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
	python setup.py pavement.clean -a

override_dh_install:
	dh_install
	python setup.py install \
	--root=$(CURDIR)/debian/python-eyed3 \
	--install-layout=deb
	rm -rf debian/python-eyed3/usr/bin

## eyed3 0.7.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/eyeD3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/eyeD3.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/eyeD3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/eyeD3"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
eyed3 (0.7.10-1) unstable; urgency=low

  * New upstream version
  * Fix homepage url in debian/copyright (Closes: #844260)
  * Fix wrong spelled option in manpage (Closes: #846586)
    Thanks to Edward Betts for the fix.

  * Upload sponsored by Petter Reinholdtsen.
  
 -- Gaetano Guerriero <x.guerriero@tin.it>  Thu, 15 Dec 2016 21:38:40 +0100

eyed3 (0.7.9-2) unstable; urgency=low

  * Ensure info.py.in is never regenerated, to prevent build reproducibility
    issues
  * Exclude info.py.in from binary distribution, it is useless
  * Fix Vcs-* control fields with debian packaging repository

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sun, 06 Nov 2016 18:59:07 +0000

eyed3 (0.7.9-1) unstable; urgency=low

  * New upstream version (Closes: #815123)
  * Drop patch reproducible-build (manpage is no longer generated)
  * Drop patch CVE-2014-1934, issue is fixed upstream
  * Add patch launch-script-with-system-python.patch to always start
    eyed3 script with system python (Closes: #720473)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Mon, 12 Sep 2016 06:25:26 +0000

=== debian/control ===
Source: eyed3
Section: sound
Priority: optional
Maintainer: Gaetano Guerriero <x.guerriero@tin.it>
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools
Homepage: http://eyed3.nicfit.net/
Standards-Version: 3.9.8
X-Python-Version: >=2.7
Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git

Package: python-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.

Package: eyed3
Architecture: all
Depends: python-eyed3 (= ${source:Version}), ${misc:Depends}
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eyed3

dstdir := $(CURDIR)/debian/python-eyed3

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	-rm -f .coverage
	-rm -rf build
	-rm -rf .pybuild
	-rm -f *.pyc
	-find src examples -name '*.pyc' -delete

override_dh_auto_install:
	dh_auto_install
	rm ${dstdir}/usr/lib/python2.7/dist-packages/eyed3/info.py.in
	rm ${dstdir}/usr/bin/eyeD3

override_dh_installdocs:
	dh_installdocs -p python-eyed3
	dh_installdocs -p eyed3 --link-doc=python-eyed3

## eyed3 0.8

=== Makefile ===
.PHONY: help build test clean dist install coverage pre-release release \
        docs clean-docs lint tags coverage-view changelog \
        clean-pyc clean-build clean-patch clean-local clean-test-data \
        test-all test-data build-release freeze-release tag-release \
        pypi-release web-release github-release cookiecutter requirements
SRC_DIRS = ./src/eyed3
TEST_DIR = ./src/test
TEMP_DIR ?= ./tmp
CC_DIR = ${TEMP_DIR}/eyeD3
NAME ?= Travis Shirk
EMAIL ?= travis@pobox.com
GITHUB_USER ?= nicfit
GITHUB_REPO ?= eyeD3
PYPI_REPO = pypitest
PROJECT_NAME = $(shell python setup.py --name 2> /dev/null)
VERSION = $(shell python setup.py --version 2> /dev/null)
RELEASE_NAME = $(shell python setup.py --release-name 2> /dev/null)
CHANGELOG = HISTORY.rst
CHANGELOG_HEADER = v${VERSION} ($(shell date --iso-8601))$(if ${RELEASE_NAME}, : ${RELEASE_NAME},)
TEST_DATA = eyeD3-test-data
TEST_DATA_FILE = ${TEST_DATA}.tgz
TEST_DATA_DIR ?= $(shell pwd)/src/test

help:
	@echo "test - run tests quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "clean-docs - remove autogenerating doc artifacts"
	@echo "clean-patch - remove patch artifacts (.rej, .orig)"
	@echo "build - byte-compile python files and generate other build objects"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "test-all - run tests on various Python versions with tox"
	@echo "release - package and upload a release"
	@echo "          PYPI_REPO=[pypitest]|pypi"
	@echo "pre-release - check repo and show version, generate changelog, etc."
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"
	@echo "build - build package source files"
	@echo ""
	@echo "Options:"
	@echo "TEST_PDB - If defined PDB options are added when 'pytest' is invoked"
	@echo "BROWSER - HTML viewer used by docs-view/coverage-view"
	@echo "CC_MERGE - Set to no to disable cookiecutter merging."
	@echo "CC_OPTS - OVerrided the default options (--no-input) with your own."

build:
	python setup.py build

clean: clean-local clean-build clean-pyc clean-test clean-patch clean-docs

clean-local:
	-rm tags
	-rm all.id3 example.id3
	-rm -rf tmp/ tmp3/

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -rf "${CC_DIR}"

clean-patch:
	find . -name '*.rej' -exec rm -f '{}' \;
	find . -name '*.orig' -exec rm -f '{}' \;

lint:
	flake8 $(SRC_DIRS)

_PYTEST_OPTS=
ifdef TEST_PDB
    _PDB_OPTS=--pdb -s
endif
test:
	pytest $(_PYTEST_OPTS) $(_PDB_OPTS) ${TEST_DIR}

test-all:
	tox

test-most:
	tox -e py27,py36

test-data:
	# Move these to eyed3.nicfit.net
	test -f ${TEST_DATA_DIR}/${TEST_DATA_FILE} || \
		wget --quiet "http://nicfit.net/files/${TEST_DATA_FILE}" \
		     -O ${TEST_DATA_DIR}/${TEST_DATA_FILE}
	tar xzf ${TEST_DATA_DIR}/${TEST_DATA_FILE} -C ${TEST_DATA_DIR}
	cd src/test && rm -f ./data && ln -s ${TEST_DATA_DIR}/${TEST_DATA} ./data

clean-test-data:
	-rm src/test/data
	-rm src/test/${TEST_DATA_FILE}

coverage:
	pytest --cov=./src/eyed3 \
           --cov-report=html --cov-report term \
           --cov-config=setup.cfg ${TEST_DIR}

coverage-view: coverage
	${BROWSER} build/tests/coverage/index.html;\

docs:
	rm -f docs/eyed3.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ ${SRC_DIRS}
	$(MAKE) -C docs clean
	etc/mycog.py
	$(MAKE) -C docs html
	-rm example.id3

docs-view: docs
	$(BROWSER) docs/_build/html/index.html

clean-docs:
	$(MAKE) -C docs clean
	-rm README.html

pre-release: lint test changelog requirements
	@# Keep docs off pre-release target list, else it is pruned during 'release' but
	@# after a clean.
	@$(MAKE) docs
	@echo "VERSION: $(VERSION)"
	$(eval RELEASE_TAG = v${VERSION})
	@echo "RELEASE_TAG: $(RELEASE_TAG)"
	@echo "RELEASE_NAME: $(RELEASE_NAME)"
	check-manifest
	@if git tag -l | grep -x ${RELEASE_TAG} > /dev/null; then \
        echo "Version tag '${RELEASE_TAG}' already exists!"; \
        false; \
    fi
	IFS=$$'\n';\
	for auth in `git authors --list`; do \
		echo "Checking $$auth...";\
		grep "$$auth" AUTHORS.rst || echo "* $$auth" >> AUTHORS.rst;\
	done
	@test -n "${GITHUB_USER}" || (echo "GITHUB_USER not set, needed for github" && false)
	@test -n "${GITHUB_TOKEN}" || (echo "GITHUB_TOKEN not set, needed for github" && false)
	@github-release --version    # Just a exe existence check
	@git status -s -b

requirements:
	nicfit requirements
	pip-compile -U requirements.txt -o ./requirements.txt

changelog:
	last=`git tag -l --sort=version:refname | grep '^v[0-9]' | tail -n1`;\
	if ! grep "${CHANGELOG_HEADER}" ${CHANGELOG} > /dev/null; then \
		rm -f ${CHANGELOG}.new; \
		if test -n "$$last"; then \
			gitchangelog show --author-format=email \
			                  --omit-author="travis@pobox.com" $${last}..HEAD |\
			  sed "s|^%%version%% .*|${CHANGELOG_HEADER}|" |\
			  sed '/^.. :changelog:/ r/dev/stdin' ${CHANGELOG} \
			 > ${CHANGELOG}.new; \
		else \
			cat ${CHANGELOG} |\
			  sed "s/^%%version%% .*/${CHANGELOG_HEADER}/" \
			> ${CHANGELOG}.new;\
		fi; \
		mv ${CHANGELOG}.new ${CHANGELOG}; \
	fi

build-release: test-most dist

freeze-release:
	@(git diff --quiet && git diff --quiet --staged) || \
        (printf "\n!!! Working repo has uncommited/unstaged changes. !!!\n" && \
         printf "\nCommit and try again.\n" && false)

tag-release:
	git tag -a $(RELEASE_TAG) -m "Release $(RELEASE_TAG)"
	git push --tags origin

release: pre-release freeze-release build-release tag-release upload-release

github-release:
	name="${RELEASE_TAG}"; \
    if test -n "${RELEASE_NAME}"; then \
        name="${RELEASE_TAG} (${RELEASE_NAME})"; \
    fi; \
    prerelease=""; \
    if echo "${RELEASE_TAG}" | grep '[^v0-9\.]'; then \
        prerelease="--pre-release"; \
    fi; \
    echo "NAME: $$name"; \
    echo "PRERELEASE: $$prerelease"; \
    github-release --verbose release --user "${GITHUB_USER}" \
                   --repo ${GITHUB_REPO} --tag ${RELEASE_TAG} \
                   --name "$${name}" $${prerelease}
	for file in $$(find dist -type f -exec basename {} \;) ; do \
        echo "FILE: $$file"; \
        github-release upload --user "${GITHUB_USER}" --repo ${GITHUB_REPO} \
                   --tag ${RELEASE_TAG} --name $${file} --file dist/$${file}; \
    done

web-release:
	for f in `find dist -type f`; do \
	    scp -P444 $$f eyed3.nicfit.net:eyeD3-releases/`basename $$f`; \
	done


upload-release: github-release pypi-release web-release

pypi-release:
	for f in `find dist -type f -name ${PROJECT_NAME}-${VERSION}.tar.gz \
              -o -name \*.egg -o -name \*.whl`; do \
        if test -f $$f ; then \
            twine register -r ${PYPI_REPO} $$f && \
            twine upload -r ${PYPI_REPO} --skip-existing $$f ; \
        fi \
	done

sdist: build
	python setup.py sdist --formats=gztar,zip
	python setup.py bdist_egg
	python setup.py bdist_wheel

dist: clean sdist docs
	cd docs/_build && \
	    tar czvf ../../dist/${PROJECT_NAME}-${VERSION}_docs.tar.gz html
	@# The cd dist keeps the dist/ prefix out of the md5sum files
	cd dist && \
	for f in $$(ls); do \
		md5sum $${f} > $${f}.md5; \
	done
	ls -l dist

install: clean
	python setup.py install

tags:
	ctags -R ${SRC_DIRS}

README.html: README.rst
	rst2html5.py README.rst >| README.html
	if test -n "${BROWSER}"; then \
		${BROWSER} README.html;\
	fi

CC_MERGE ?= yes
CC_OPTS ?= --no-input
GIT_COMMIT_HOOK = .git/hooks/commit-msg
cookiecutter:
	@rm -rf "${CC_DIR}"
	@if test "${CC_MERGE}" == "no"; then \
		nicfit cookiecutter ${CC_OPTS} "${TEMP_DIR}"; \
		git -C "${CC_DIR}" diff; \
		git -C "${CC_DIR}" status -s -b; \
	else \
		nicfit cookiecutter --merge ${CC_OPTS} "${TEMP_DIR}" \
		       --extra-merge ${GIT_COMMIT_HOOK} ${GIT_COMMIT_HOOK};\
	fi

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file ./requirements.txt requirements.txt
#
grako==3.99.9
six==1.10.0

=== debian/changelog ===
eyed3 (0.8-1) unstable; urgency=low

  * New upstream version
  * Add d/upstream/metadata with CPE record of project (Closes: #848282)
  * Remove "display" plugin, it depends on "grako", missing in Debian

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sat, 15 Jul 2017 11:55:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Gaetano Guerriero <x.guerriero@tin.it>
-Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools
+Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools
 Homepage: http://eyed3.nicfit.net/
 Standards-Version: 3.9.8
 X-Python-Version: >=2.7
@@ -12,7 +12,7 @@
 Package: python-eyed3
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-pathlib
 Provides: ${python:Provides}
 Description: Python module for id3-tags manipulation
  A Python module for the manipulation of ID3 tags. It supports versions
@@ -21,7 +21,7 @@
 
 Package: eyed3
 Architecture: all
-Depends: python-eyed3 (= ${source:Version}), ${misc:Depends}
+Depends: python-eyed3 (= ${source:Version}), ${python:Depends}, ${misc:Depends}
 Description: Display and manipulate id3-tags on the command-line
  A command-line editor to add/edit/remove ID3-tags on mp3 files.
  It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eyed3

dstdir := $(CURDIR)/debian/python-eyed3
eyed3_dstdir := $(CURDIR)/debian/eyed3

%:
	dh $@ --with python2 --buildsystem=pybuild

# override_dh_auto_clean:


override_dh_auto_test:


override_dh_auto_install:
	dh_auto_install
	mkdir -p ${eyed3_dstdir}/usr/bin/
	mv ${dstdir}/usr/bin/eyeD3 ${eyed3_dstdir}/usr/bin/eyeD3

override_dh_installdocs:
	dh_installdocs -p python-eyed3
	dh_installdocs -p eyed3 --link-doc=python-eyed3

## eyed3 0.8.4

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,6 @@
         pypi-release web-release github-release cookiecutter requirements
 SRC_DIRS = ./src/eyed3
 TEST_DIR = ./src/test
-TEMP_DIR ?= ./tmp
-CC_DIR = ${TEMP_DIR}/eyeD3
 NAME ?= Travis Shirk
 EMAIL ?= travis@pobox.com
 GITHUB_USER ?= nicfit
@@ -57,7 +55,6 @@
 clean-local:
 	-rm tags
 	-rm all.id3 example.id3
-	-rm -rf tmp/ tmp3/
 
 clean-build:
 	rm -fr build/
@@ -75,7 +72,6 @@
 clean-test:
 	rm -fr .tox/
 	rm -f .coverage
-	rm -rf "${CC_DIR}"
 
 clean-patch:
 	find . -name '*.rej' -exec rm -f '{}' \;
@@ -108,6 +104,9 @@
 clean-test-data:
 	-rm src/test/data
 	-rm src/test/${TEST_DATA_FILE}
+
+pkg-test-data:
+	 tar czf ./build/${TEST_DATA_FILE} -C ./src/test ./eyeD3-test-data
 
 coverage:
 	pytest --cov=./src/eyed3 \
@@ -147,7 +146,7 @@
         false; \
     fi
 	IFS=$$'\n';\
-	for auth in `git authors --list`; do \
+	for auth in `git authors --list | sed 's/.* <\(.*\)>/\1/'`; do \
 		echo "Checking $$auth...";\
 		grep "$$auth" AUTHORS.rst || echo "* $$auth" >> AUTHORS.rst;\
 	done
@@ -165,8 +164,8 @@
 	if ! grep "${CHANGELOG_HEADER}" ${CHANGELOG} > /dev/null; then \
 		rm -f ${CHANGELOG}.new; \
 		if test -n "$$last"; then \
-			gitchangelog show --author-format=email \
-			                  --omit-author="travis@pobox.com" $${last}..HEAD |\
+			gitchangelog --author-format=email \
+			             --omit-author="travis@pobox.com" $${last}..HEAD |\
 			  sed "s|^%%version%% .*|${CHANGELOG_HEADER}|" |\
 			  sed '/^.. :changelog:/ r/dev/stdin' ${CHANGELOG} \
 			 > ${CHANGELOG}.new; \
@@ -206,7 +205,7 @@
                    --repo ${GITHUB_REPO} --tag ${RELEASE_TAG} \
                    --name "$${name}" $${prerelease}
 	for file in $$(find dist -type f -exec basename {} \;) ; do \
-        echo "FILE: $$file"; \
+        echo "Uploading: $$file"; \
         github-release upload --user "${GITHUB_USER}" --repo ${GITHUB_REPO} \
                    --tag ${RELEASE_TAG} --name $${file} --file dist/$${file}; \
     done
@@ -215,7 +214,6 @@
 	for f in `find dist -type f`; do \
 	    scp -P444 $$f eyed3.nicfit.net:eyeD3-releases/`basename $$f`; \
 	done
-
 
 upload-release: github-release pypi-release web-release
 
@@ -223,7 +221,6 @@
 	for f in `find dist -type f -name ${PROJECT_NAME}-${VERSION}.tar.gz \
               -o -name \*.egg -o -name \*.whl`; do \
         if test -f $$f ; then \
-            twine register -r ${PYPI_REPO} $$f && \
             twine upload -r ${PYPI_REPO} --skip-existing $$f ; \
         fi \
 	done
@@ -259,12 +256,15 @@
 CC_OPTS ?= --no-input
 GIT_COMMIT_HOOK = .git/hooks/commit-msg
 cookiecutter:
-	@rm -rf "${CC_DIR}"
-	@if test "${CC_MERGE}" == "no"; then \
-		nicfit cookiecutter ${CC_OPTS} "${TEMP_DIR}"; \
-		git -C "${CC_DIR}" diff; \
-		git -C "${CC_DIR}" status -s -b; \
+	tmp_d=`mktemp -d`; cc_d=$$tmp_d/eyeD3; \
+	if test "${CC_MERGE}" == "no"; then \
+		nicfit cookiecutter ${CC_OPTS} "$${tmp_d}"; \
+		git -C "$$cc_d" diff; \
+		git -C "$$cc_d" status -s -b; \
 	else \
-		nicfit cookiecutter --merge ${CC_OPTS} "${TEMP_DIR}" \
+		nicfit cookiecutter --merge ${CC_OPTS} "$${tmp_d}" \
 		       --extra-merge ${GIT_COMMIT_HOOK} ${GIT_COMMIT_HOOK};\
-	fi
+	fi; \
+	rm -rf $$tmp_d
+
+

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,6 @@
 #    pip-compile --output-file ./requirements.txt requirements.txt
 #
 grako==3.99.9
-six==1.10.0
+pathlib==1.0.1
+python-magic==0.4.13
+six==1.11.0

=== debian/changelog ===
eyed3 (0.8.4-2) unstable; urgency=medium

  * Handle symlink to directory conversion of docs directories
    (Closes: #886946)
  * Update Standards-Version to 4.1.2, no changes needed

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Fri, 19 Jan 2018 00:19:54 +0100

eyed3 (0.8.4-1) unstable; urgency=low

  * New upstream version
  * Run eyed3 program with python3 (Closes: #878853).
    This resolves encoding related bugs. (Closes: #466318,
    Closes: #481678, Closes: #648540)
  * Drop patch fix-setup-py3-encoding (applied upstream)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Wed, 29 Nov 2017 22:42:54 +0100

eyed3 (0.8.3-2) unstable; urgency=medium

  * Fix FTBFS with python3 and not utf-8 system encoding (Closes: #881101)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sun, 12 Nov 2017 18:49:11 +0100

eyed3 (0.8.3-1) unstable; urgency=low

  * New upstream version
  * Build also the library package for python3
  * Drop patch fix-manpage-typo (fixed upstream)
  * Add patch support-debian-python-magic to use debian version of
    magic module
  * Add autopkgtest configuration
  * Update Standards-Version to 4.1.1, no changes needed.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Tue, 31 Oct 2017 20:31:25 +0100

=== debian/control ===
Source: eyed3
Section: sound
Priority: optional
Maintainer: Gaetano Guerriero <x.guerriero@tin.it>
Build-Depends: debhelper (>= 10), dh-python,
               python-all, python-setuptools,
               python3, python3-setuptools
Homepage: http://eyed3.nicfit.net/
Standards-Version: 4.1.2
X-Python-Version: >=2.7
Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git

Package: python-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-pathlib
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation (Python 2 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 2 version of the package.


Package: python3-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation (Python 3 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 3 version of the package.


Package: eyed3
Architecture: all
Depends: python3-eyed3 (= ${source:Version}), ${python3:Depends},
         ${misc:Depends}, python3-pkg-resources
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eyed3

py2_dstdir := $(CURDIR)/debian/python-eyed3
py3_dstdir := $(CURDIR)/debian/python3-eyed3
eyed3_dstdir := $(CURDIR)/debian/eyed3


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs -p eyed3 HISTORY.rst
	dh_installchangelogs -p python3-eyed3 -X history.rst -X HISTORY.rst
	dh_installchangelogs -p python-eyed3 -X history.rst -X HISTORY.rst


override_dh_auto_test:


override_dh_auto_install:
	dh_auto_install
	mkdir -p ${eyed3_dstdir}/usr/bin/
	mv ${py3_dstdir}/usr/bin/eyeD3 ${eyed3_dstdir}/usr/bin/eyeD3
	rm ${py2_dstdir}/usr/bin/eyeD3

=== debian/tests/control ===
Tests: base-script
Depends: eyed3

Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import eyed3; print eyed3" ; done
Depends: python-all, python-eyed3

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import eyed3; print(eyed3)" ; done
Depends: python3-all, python3-eyed3

=== debian/watch ===
version=2
http://eyed3.nicfit.net/releases/eyeD3-([\d\.]*)\.tar\.gz

## eyed3 0.8.5

=== Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 clean-test:
 	rm -fr .tox/
 	rm -f .coverage
+	find . -name '.pytest_cache' -type d -exec rm -rf {} +
 
 clean-patch:
 	find . -name '*.rej' -exec rm -f '{}' \;
@@ -141,7 +142,7 @@
 	@echo "RELEASE_TAG: $(RELEASE_TAG)"
 	@echo "RELEASE_NAME: $(RELEASE_NAME)"
 	check-manifest
-	@if git tag -l | grep -x ${RELEASE_TAG} > /dev/null; then \
+	@if git tag -l | grep -E '^$(RELEASE_TAG)$$' > /dev/null; then \
         echo "Version tag '${RELEASE_TAG}' already exists!"; \
         false; \
     fi

=== requirements.txt ===
--- 
+++ 
@@ -6,5 +6,5 @@
 #
 grako==3.99.9
 pathlib==1.0.1
-python-magic==0.4.13
+python-magic==0.4.15
 six==1.11.0

=== debian/changelog ===
eyed3 (0.8.5-1) unstable; urgency=low

  * New upstream version
  * Update Standards-Version to 4.1.4, no changes needed

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Wed, 25 Apr 2018 15:36:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python-all, python-setuptools,
                python3, python3-setuptools
 Homepage: http://eyed3.nicfit.net/
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 X-Python-Version: >=2.7
 Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
 Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git
